Is my Mac compatible with the new Magic peripherals - the Magic Trackpad 2, the Magic Mouse 2 and the Magic Keyboard?

Apple just announced an update to its iMac lineup, and a set of new peripherals alongside: a new Magic Mouse (the Magic Mouse 2), a Magic Keyboard and an updated Magic Trackpad 2. These peripherals can be bought as part of the new iMac bundles, but they are also available separately, and work with some older Macs. The question is, how old can your Mac be and still work with the Magic Trackpad 2?

In fact, the important factor is the version of Mac OS you're running rather than the age of your hardware. We'll look at the system requirements of the three new peripherals individually, but they're pretty much the same: we just find that the Magic Trackpad 2 is a little stricter about the version of Bluetooth that it requires.

Read next: Magic Trackpad 2 review

Which Macs work with the Magic Trackpad 2?

The official documentation warns that the Magic Trackpad requires a "Bluetooth 4.0-enabled Mac with OS X v10.11 or later". That's El Capitan, of course - the most recent version of Mac OS X. It's a free upgrade from Yosemite - and from any version of OS X going back to Snow Leopard - but a fair few people haven't made the update yet, so this is something to bear in mind.

So you need El Cap; but not every Mac can get it. We've looked at the list of El Cap-compatible Macs in a separate article, but, briefly, here's a list of the Macs that can make the upgrade:

  • iMac (Mid-2007 or later)
  • MacBook (13-inch Aluminum, Late 2008), (13-inch, Early 2009 or later)
  • MacBook Pro (13-inch, Mid-2009 or later), (15-inch, Mid/Late 2007 or later), (17-inch, Late 2007 or later)
  • MacBook Air (Late 2008 or later)
  • Mac Mini (Early 2009 or later)
  • Mac Pro (Early 2008 or later)
  • Xserve (Early 2009)

If your Mac is older than that, you're out of luck. (Or you could look at this as an excuse to buy a new Mac!)

To see how strict the requirements are, we tried pairing the trackpad with a Mac running Yosemite (OS X 10.10) and sure enough, it didn't work properly - although, oddly enough, it did work with a wired connection, so you've got that option in a pinch. It was only when we unplugged the Lightning cable that it stopped working.

Clearly the problem is related to the wireless pairing process - and this isn't simply an issue with the version of Bluetooth, which was 4.3 on this particular Mac.

Which Macs work with the Magic Trackpad 2?

In other words, expect to have to upgrade your Mac to El Capitan, if you haven't already, in order to be able to use this device.

Here's the Magic Trackpad 2's full tech specs and system requirements, by the way:

Height: 0.49–1.09 cm (0.19–0.43 inch); Width: 16.0 cm (6.3 inches); Depth: 11.49 cm (4.52 inches); Weight: 231.0 grams (8.11 ounces); Force Touch; Multi-Touch; Bluetooth; Lightning port; Wireless; Requires Bluetooth 4.0-enabled Mac computer with OS X v10.11 or later 

Which Macs work with the Magic Mouse 2?

Like the Magic Trackpad 2, the Magic Mouse only works with Macs running El Capitan. If you've not upgraded yet, take a look at the list of El Cap-compatible Macs above to see if your machine is able to do so. (It may also be worth reading our Mac OS X El Capitan review, or our comparison of Mac OS X El Capitan vs Mac OS X Yosemite, to see if you actually want to upgrade or if it's worth the effort.)

Beyond that, you just need to have Bluetooth to be able to set up a wireless connection with the Magic Mouse 2. Whereas the Magic Trackpad 2 specifies Bluetooth version 4.0, the mouse isn't anywhere near as fussy: it just requires a "Bluetooth-enabled Mac computer with OS X v10.11 or later".

Which Macs work with the Magic Keyboard?

Same as for the Magic Mouse 2: any Mac that's running OS X El Capitan (check the list above for Macs that are compatible with El Capitan) and equipped with some version of Bluetooth. It doesn't need to be Bluetooth 4.0.